##########################
###PLOTS RAW PHENOTYPES###
##########################


#FIGURE 1: SIMULANS/MAURITIANA#

mau_sim_dataframe<-read.csv("~/sim_mau_HS_traits.csv")
names(mau_sim_dataframe)
attach(mau_sim_dataframe)

#POINTS#
mau_sim_points<-read.csv("~/Dropbox/sim_mau_means_points.csv")
attach(mau_sim_points)
names(mau_sim_points)



pdf(file="Figure_1_Phenotypes_all_sim_mau_coyne.pdf", height=8, width=8)

par(mfrow=c(2,3))

#SEX COMBS#

plot(NULL, xlim=c(0,20), ylim=c(8,15), xlab="Generation", ylab="Number of teeth, sex combs", main="A. Teeth in sex combs")
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(sex_combs~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(sex_combs~ generation), col="darkorchid4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(sex_combs~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(sex_combs~ generation), col="brown1", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(sex_combs~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(sex_combs~ generation), col="cyan4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(sex_combs~ generation), col="chocolate", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(sex_combs~ generation), col="darkgrey", lty=1, lwd=1.5))

with(subset(mau_sim_dataframe,genotype=='sim'), abline(lm(sex_combs~ generation), col="black", pch=16, lty=1, lwd=3))
with(subset(mau_sim_dataframe,genotype=='mau'), abline(lm(sex_combs~ generation), col="black", pch=16, lty=3, lwd=3))

with(subset(mau_sim_points, genotype_mean =='HS' ), points(sex_combs_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))

#legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

#Lobe area#

plot(NULL, xlim=c(0,20), ylim=c(2,15), xlab="Generation", ylab="Area of the genital lobe (mm2)", main="B. Genital lobe area")
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(lobe ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(lobe ~ generation), col="darkorchid4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(lobe ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(lobe ~ generation), col="brown1", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(lobe ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(lobe ~ generation), col="cyan4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(lobe ~ generation), col="chocolate", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(lobe ~ generation), col="darkgrey", lty=1, lwd=1.5))

with(subset(mau_sim_dataframe,genotype=='sim'), abline(lm(lobe ~ generation), col="black", pch=16, lty=1, lwd=3))
with(subset(mau_sim_dataframe,genotype=='mau'), abline(lm(lobe ~ generation), col="black", pch=16, lty=3, lwd=3))

with(subset(mau_sim_points, genotype_mean =='HS' ), points(lobe_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))

#legend("topleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

#Face#

plot(NULL, xlim=c(0,20), ylim=c(270,360), xlab="Generation", ylab="Frons width (mm)", main="C. Frons width")
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(face_males ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(face_males ~ generation), col="darkorchid4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(face_males ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(face_males ~ generation), col="brown1", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(face_males ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(face_males ~ generation), col="cyan4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(face_males ~ generation), col="chocolate", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(face_males ~ generation), col="darkgrey", lty=1, lwd=1.5))

with(subset(mau_sim_dataframe,genotype=='sim'), abline(lm(face_males ~ generation), col="black", pch=16, lty=1, lwd=3))
with(subset(mau_sim_dataframe,genotype=='mau'), abline(lm(face_males ~ generation), col="black", pch=16, lty=3, lwd=3))

with(subset(mau_sim_points, genotype_mean =='HS' ), points(face_males_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))

legend("bottomright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8", "D. simulans", "D. mauritiana"), col=c("red", "darkorchid4","blue","brown1","orange","cyan4","chocolate","darkgrey", "black", "black"), lty=c(1,1,1,1,1,1,1,1,1,3), cex=0.8)

#Anal bristles#

plot(NULL, xlim=c(0,20), ylim=c(30,50), xlab="Generation", ylab="Number of anal bristles", main="D. Number of anal bristles",)
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(anal_plate_bristles ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(anal_plate_bristles ~ generation), col="darkorchid4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(anal_plate_bristles ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(anal_plate_bristles ~ generation), col="brown1", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(anal_plate_bristles ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(anal_plate_bristles ~ generation), col="cyan4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(anal_plate_bristles ~ generation), col="chocolate", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(anal_plate_bristles ~ generation), col="black", lty=1, lwd=1.5))

with(subset(mau_sim_dataframe,genotype=='sim'), abline(lm(anal_plate_bristles ~ generation), col="black", pch=16, lty=1, lwd=3))
with(subset(mau_sim_dataframe,genotype=='mau'), abline(lm(anal_plate_bristles ~ generation), col="black", pch=16, lty=3, lwd=3))

with(subset(mau_sim_points, genotype_mean =='HS' ), points(anal_plate_bristles_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))

#legend("topleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

#wing area#

plot(NULL, xlim=c(0,20), ylim=c(750,1000), xlab="Generation", ylab="Wing area (mm2)", main="E. Wing area ",)
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(wing_area_male ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(wing_area_male ~ generation), col="darkorchid4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(wing_area_male ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(wing_area_male ~ generation), col="brown1", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(wing_area_male ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(wing_area_male ~ generation), col="cyan4", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(wing_area_male ~ generation), col="chocolate", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(wing_area_male ~ generation), col="black", lty=1, lwd=1.5))
#legend("topleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8", "D. simulans", "D. mauritiana"), col=c("red", "darkorchid4","blue","brown1","orange","orange","black","black", "grey", "darkgrey"), lty=1, cex=0.8)

with(subset(mau_sim_dataframe,genotype=='sim'), abline(lm(wing_area_male ~ generation), col="black", pch=16, lty=1, lwd=3))
with(subset(mau_sim_dataframe,genotype=='mau'), abline(lm(wing_area_male ~ generation), col="black", pch=16, lty=3, lwd=3))

with(subset(mau_sim_points, genotype_mean =='HS'), points(wing_area_male_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))

#legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "darkorchid4","blue","brown1","orange","cyan4","chocolate","black"), pch=c(1,19,2,5,15,16,17,18, cex=0.8))

dev.off()


#YFigure 3: YAKUBA/SANTOMEA#
pdf(file="Figure3_yak_san_Phenotypes_all_coyne.pdf", height=8, width=8)

san_yak_dataframe<-read.csv("~/yak_santraits.csv")
attach(san_yak_dataframe)
names(san_yak_dataframe)

#POINTS#
san_yak_points<-read.csv("~/Dropbox/points_sanyak_traits.csv")
attach(san_yak_points)
names(san_yak_points)

par(mfrow=c(2,2))

plot(NULL, xlim=c(0,20), ylim=c(6,10), xlab="Generation", ylab="Number of teeth, sex combs", main="A. Teeth in sex combs")
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='1'), abline(lm(sex_combs~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='2'), abline(lm(sex_combs~ generation),col="darkorchid4", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='3'), abline(lm(sex_combs~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='4'), abline(lm(sex_combs~ generation),col="brown1", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='5'), abline(lm(sex_combs~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='6'), abline(lm(sex_combs~ generation),col="cyan4", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='7'), abline(lm(sex_combs~ generation),col="chocolate", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='8'), abline(lm(sex_combs~ generation),col="darkgrey", lty=1, lwd=1.5))

with(subset(san_yak_dataframe,genotype=='san' & replicate=='8'), abline(lm(sex_combs~ generation),col="black", pch=16, lty=3, lwd=3))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='1'), abline(lm(sex_combs~ generation),col="black", pch=16, lty=1, lwd=3))


with(subset(san_yak_points, genotype_mean =='HS' ), points(SC_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))

plot(NULL, xlim=c(0,20), ylim=c(0,2.5), xlab="Generation", ylab="Number of hypandrial bristles", main="B. Number of hypandrial bristles ")
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='1'), abline(lm(hypandrial_bristles ~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='2'), abline(lm(hypandrial_bristles ~ generation),col="darkorchid4", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='3'), abline(lm(hypandrial_bristles ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='4'), abline(lm(hypandrial_bristles ~ generation),col="brown1", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='5'), abline(lm(hypandrial_bristles ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='6'), abline(lm(hypandrial_bristles ~ generation),col="cyan4", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='7'), abline(lm(hypandrial_bristles ~ generation),col="chocolate", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='8'), abline(lm(hypandrial_bristles ~ generation),col="darkgrey", lty=1, lwd=1.5))

legend("bottomright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8", "D. santomea", "D. yakuba"), col=c("red", "darkorchid4","blue","brown1","orange","cyan4","chocolate", "darkgrey", "black", "black"), lty=c(1,1,1,1,1,1,1,1,3,1), cex=0.8)
with(subset(san_yak_dataframe,genotype=='san' & replicate=='8'), abline(lm(hypandrial_bristles ~ generation),col="black", pch=16, lty=3, lwd=3))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='1'), abline(lm(hypandrial_bristles ~ generation),col="black", pch=16, lty=1, lwd=3))


with(subset(san_yak_points, genotype_mean =='HS' ), points(HB_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))


plot(NULL, xlim=c(0,20), ylim=c(0,750), xlab="Generation", ylab="Pigmentation score", main="C. Pigmentation score")
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='1'), abline(lm(pigment ~ generation), col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='2'), abline(lm(pigment ~ generation), col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='3'), abline(lm(pigment ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='4'), abline(lm(pigment ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='5'), abline(lm(pigment ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='6'), abline(lm(pigment ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='7'), abline(lm(pigment ~ generation), col="chocolate", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='8'), abline(lm(pigment ~ generation), col="darkgrey", lty=1, lwd=1.5))

with(subset(san_yak_dataframe,genotype=='san' & replicate=='8'), abline(lm(pigment ~ generation),col="black", pch=16, lty=3, lwd=3))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='1'), abline(lm(pigment ~ generation),col="black", pch=16, lty=1, lwd=3))

with(subset(san_yak_points, genotype_mean =='HS' ), points(pigment_mean ~ jitter(generation_mean), col="black", pch=1, cex=1.5))
#legend("bottomright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "darkorchid4","blue","brown1","orange","cyan4","chocolate","black"), pch=c(1,19,2,5,15,16,17,18, cex=0.8))



dev.off()



#FIGURE 2: DELTAS, simulans/mauritiana#

pdf(file="Delta_sim_mau.pdf", height=5, width=5)

mausim_delta<-read.csv("~/Dropbox/delta_simmau.csv")
		attach(mausim_delta)
		names(mausim_delta)	
mau_sim_points<-read.csv("~/Dropbox/sim_mau_means_points.csv")
		attach(mau_sim_points)
		names(mau_sim_points)

		
plot(NULL, xlim=c(0,20), ylim=c(-0.5,1.3), xlab="Generation", ylab="Index", main="D. simulans/D. mauritiana")
		abline(lm(delta_combs~generation), col="red")
		abline(lm(delta_lobe ~generation), col="blue")
		abline(lm(delta_face ~generation), col="orange")
		abline(lm(delta_anal ~generation), col="black")
		abline(lm(delta_wing ~generation), col="chocolate")
		
		points(sex_combs_delta ~ jitter(generation_mean), col="red", pch=1, cex=0.5)	
		points(lobe_delta ~ jitter(generation_mean+0.2), col="blue", pch=1, cex=0.5)	
		points(face_males_delta ~ jitter(generation_mean+0.4), col="orange", pch=1, cex=0.5)	
		points(anal_plate_bristles_delta ~ jitter(generation_mean+0.6), col="black", pch=1, cex=0.5)	
		points(wing_area_male_delta ~ jitter(generation_mean+0.8), col="chocolate", pch=1, cex=0.5)	

legend("bottomright", legend=c("Sex combs", "Genital lobe area", "Face length","Anal bristles","Wing area"), col=c("red","blue","orange","black","chocolate"), pch=c(1,1,1,1,1, cex=0.8))
		
dev.off()

#FIGURE 4: DELTAS, simulans/mauritiana#
pdf(file="Delta_san_yak.pdf", height=5, width=5)
		
sanyak_delta<-read.csv("~/Dropbox/delta_yaksan.csv")
		attach(sanyak_delta)
		names(sanyak_delta)	
san_yak_points<-read.csv("~/Dropbox/points_sanyak_traits.csv")
		attach(san_yak_points)
		names(san_yak_points)

plot(NULL, xlim=c(0,20), ylim=c(0,1.2), xlab="Generation", ylab="Index", main="D. yakuba/D. santomea")
		abline(lm(delta_hypandrial_bristles ~generation), col="red")
		abline(lm(delta_sex_combs ~generation), col="blue")
		abline(lm(delta_pigment ~generation), col="orange")

		points(HB_delta ~ jitter(generation_mean), col="red", pch=1, cex=0.5)	
		points(SC_delta ~ jitter(generation_mean+0.2), col="blue", pch=1, cex=0.5)	
		points(pigment_delta ~ jitter(generation_mean+0.4), col="orange", pch=1, cex=0.5)	

legend("bottomright", legend=c("Hypandrial bristles", "Sex combs", "Genital lobe area"), col=c("red","blue","orange"), pch=c(1,1,1,1,1, cex=0.8))

dev.off()

#####DELTA PLOTS#######

mausim_delta<-read.csv("~/Dropbox/delta_simmau.csv")
		attach(mausim_delta)
		names(mausim_delta)	
plot(delta_combs~generation)
		abline(lm(delta_combs~generation))
		abline(lm(delta_lobe ~generation))
		abline(lm(delta_face ~generation))
		abline(lm(delta_anal ~generation))
		abline(lm(delta_wing ~generation))
		
		
sanyak_delta<-read.csv("~/Dropbox/delta_yaksan.csv")
		attach(sanyak_delta)
		names(sanyak_delta)	
plot(delta_combs~generation)
		abline(lm(delta_hypandrial_bristles ~generation))
		abline(lm(delta_sex_combs ~generation))
		abline(lm(delta_pigment ~generation))

#################################

library(lmtest)
mausim_delta_lm_dataframe<-read.csv("~/Dropbox/delta_simmau_lm.csv")
		attach(mausim_delta_lm_dataframe)
		names(mausim_delta_lm_dataframe)	
		delta_mausim_lm<-lm(delta~ trait/replicate)
		anova(delta_mausim_lm)


				> 		delta_mausim_lm <-lm(delta~ trait/replicate)
				> 		anova(delta_mausim_lm)
				Analysis of Variance Table
				Response: delta
				                  Df Sum Sq Mean Sq F value  Pr(>F)    
				trait              4 112.24 28.0596  128.66 < 2e-16 ***
				trait:replicate    5   3.23  0.6455    2.96 0.01135 *  
				Residuals       3990 870.17  0.2181                    
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

		delta_mausim_lmFull<-lm(delta~ trait*generation)
		delta_mausim_lmAdd<-lm(delta~ trait+generation)
		lrtest(delta_mausim_lmFull, delta_mausim_lmAdd)

				> 		delta_mausim_lmFull<-lm(delta~ trait*generation)
				> 		delta_mausim_lmAdd<-lm(delta~ trait+generation)
				> 		lrtest(delta_mausim_lmFull, delta_mausim_lmAdd)
				Likelihood ratio test
				Model 1: delta ~ trait * generation
				Model 2: delta ~ trait + generation
				  #Df  LogLik Df Chisq Pr(>Chisq)    
				1  11 -1765.7                        
				2   7 -1956.4 -4 381.4  < 2.2e-16 ***
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

		delta_mausim_lmAdd<-lm(delta~ trait+generation)
		delta_mausim_lmInter<-lm(delta~ trait)
		lrtest(delta_mausim_lmAdd, delta_mausim_lmInter)

				> 		delta_mausim_lmAdd<-lm(delta~ trait+generation)
				> 		delta_mausim_lmInter<-lm(delta~ trait)
				> 		lrtest(delta_mausim_lmAdd, delta_mausim_lmInter)
				Likelihood ratio test
				Model 1: delta ~ trait + generation
				Model 2: delta ~ trait
				  #Df  LogLik Df Chisq Pr(>Chisq)    
				1   7 -1956.4                        
				2   6 -2632.4 -1  1352  < 2.2e-16 ***
sanyak_delta_lm_dataframe<-read.csv("~/Dropbox/delta_yaksan_lm.csv")
		attach(sanyak_delta_lm_dataframe)
		names(sanyak_delta_lm_dataframe)	
		delta_sanyak_lm<-lm(delta~ trait/replicate)
		anova(delta_sanyak_lm)


		delta_sanyak_lmFull<-lm(delta~ trait*generation)
		delta_sanyak_lmAdd<-lm(delta~ trait+generation)
		lrtest(delta_sanyak_lmFull, delta_sanyak_lmAdd)

				> delta_sanyak_lmFull<-lm(delta~ trait*generation)
				> 		delta_sanyak_lmAdd<-lm(delta~ trait+generation)
				> 		lrtest(delta_sanyak_lmFull, delta_sanyak_lmAdd)
				Likelihood ratio test

				Model 1: delta ~ trait * generation
				Model 2: delta ~ trait + generation
				  #Df  LogLik Df  Chisq Pr(>Chisq)    
				1   7 -1189.7                         
				2   5 -1206.9 -2 34.385  3.415e-08 ***
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

		delta_sanyak_lmAdd<-lm(delta~ trait+generation)
		delta_sanyak_lmInter<-lm(delta~ trait)
		lrtest(delta_sanyak_lmInter, delta_sanyak_lmAdd)

				> 		lrtest(delta_sanyak_lmInter, delta_sanyak_lmAdd)
				Likelihood ratio test
				Model 1: delta ~ trait
				Model 2: delta ~ trait + generation
				  #Df  LogLik Df  Chisq Pr(>Chisq)    
				1   4 -1339.2                         
				2   5 -1206.9  1 264.57  < 2.2e-16 ***
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1


#####################
#MAURITIANA/SIMULANS#
#####################

mau_sim_dataframe<-read.csv("~/sim_mau_HS_traits.csv")
names(mau_sim_dataframe)

#POINTS#
mau_sim_points<-read.csv("~/Dropbox/sim_mau_means_points.csv")
names(mau_sim_points)


pdf(file="sex_combs_v02.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(6,20), xlab="Generation", ylab="Number of teeth, sex combs", main="A. D. mauritiana")
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='1'), abline(lm(sex_combs~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='2'), abline(lm(sex_combs~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='3'), abline(lm(sex_combs~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='4'), abline(lm(sex_combs~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='5'), abline(lm(sex_combs~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='6'), abline(lm(sex_combs~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='7'), abline(lm(sex_combs~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='8'), abline(lm(sex_combs~ generation), col="black", lty=1, lwd=1.5))
legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='1'), points(sex_combs~ jitter(generation+1), col="red", pch=15))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='2'), points(sex_combs~ jitter(generation+1), col="red", pch=15))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='3'), points(sex_combs~ jitter(generation+1), col="blue", pch=15))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='4'), points(sex_combs~ jitter(generation+1), col="blue", pch=15))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='5'), points(sex_combs~ jitter(generation+1), col="orange", pch=16))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='6'), points(sex_combs~ jitter(generation+1), col="orange", pch=16))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='7'), points(sex_combs~ jitter(generation+1), col="black", pch=16))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='8'), points(sex_combs~ jitter(generation+1), col="black", pch=16))


plot(NULL, xlim=c(0,20), ylim=c(6,20), xlab="Generation", ylab="Number of teeth, sex combs", main="B. D. simulans")
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='1'), abline(lm(sex_combs~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='2'), abline(lm(sex_combs~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='3'), abline(lm(sex_combs~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='4'), abline(lm(sex_combs~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='5'), abline(lm(sex_combs~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='6'), abline(lm(sex_combs~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='7'), abline(lm(sex_combs~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='8'), abline(lm(sex_combs~ generation), col="black", lty=2, lwd=1.5))
legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='1'), points(sex_combs~ jitter(generation+1), col="red", pch=15))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='2'), points(sex_combs~ jitter(generation+1), col="red", pch=15))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='3'), points(sex_combs~ jitter(generation+1), col="blue", pch=15))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='4'), points(sex_combs~ jitter(generation+1), col="blue", pch=15))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='5'), points(sex_combs~ jitter(generation+1), col="orange", pch=16))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='6'), points(sex_combs~ jitter(generation+1), col="orange", pch=16))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='7'), points(sex_combs~ jitter(generation+1), col="black", pch=16))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='8'), points(sex_combs~ jitter(generation+1), col="black", pch=16))

######
plot(NULL, xlim=c(0,20), ylim=c(6,20), xlab="Generation", ylab="Number of teeth, sex combs", main="Sex combs")
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(sex_combs~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(sex_combs~ generation), col="darkorchid4", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(sex_combs~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(sex_combs~ generation), col="brown1", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(sex_combs~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(sex_combs~ generation), col="cyan4", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(sex_combs~ generation), col="chocolate", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(sex_combs~ generation), col="black", lty=2, lwd=1.5))
legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

with(subset(mau_sim_dataframe,genotype=='sim'), abline(lm(sex_combs~ generation), col="grey", pch=16, lty=2, lwd=3))
with(subset(mau_sim_dataframe,genotype=='mau'), abline(lm(sex_combs~ generation), col="darkgrey", pch=16, lty=2, lwd=3))

with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), points(sex_combs~ jitter(generation), col="red", pch=1, cex=0.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), points(sex_combs~ jitter(generation+.2), col="darkorchid4", pch=19, cex=0.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), points(sex_combs~ jitter(generation+.4), col="blue", pch=2, cex=0.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), points(sex_combs~ jitter(generation+.6), col="brown1", pch=5, cex=0.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), points(sex_combs~ jitter(generation+.8), col="orange", pch=15, cex=0.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), points(sex_combs~ jitter(generation+1), col="cyan4", pch=16, cex=0.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), points(sex_combs~ jitter(generation+1.2), col="chocolate", pch=17, cex=0.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), points(sex_combs~ jitter(generation+1.4), col="black", pch=18, cex=0.5))

dev.off()



pdf(file="lobe.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(0,20), xlab="Generation", ylab="Area of the genital libre (mm2)", main="A. D. mauritiana")
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='1'), abline(lm(lobe ~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='2'), abline(lm(lobe ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='3'), abline(lm(lobe ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='4'), abline(lm(lobe ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='5'), abline(lm(lobe ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='6'), abline(lm(lobe ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='7'), abline(lm(lobe ~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='8'), abline(lm(lobe ~ generation), col="black", lty=1, lwd=1.5))
legend("topleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(0,20), xlab="Generation", ylab="Area of the genital libre (mm2)", main="B. D. simulans")
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='1'), abline(lm(lobe ~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='2'), abline(lm(lobe ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='3'), abline(lm(lobe ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='4'), abline(lm(lobe ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='5'), abline(lm(lobe ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='6'), abline(lm(lobe ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='7'), abline(lm(lobe ~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='8'), abline(lm(lobe ~ generation), col="black", lty=1, lwd=1.5))
legend("topleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(0,20), xlab="Generation", ylab="Area of the genital libre (mm2)", main="C. Hybrid swarms")
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(lobe ~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(lobe ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(lobe ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(lobe ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(lobe ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(lobe ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(lobe ~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(lobe ~ generation), col="black", lty=1, lwd=1.5))
legend("topleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


dev.off()


pdf(file="face.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(230,400), xlab="Generation", ylab="Face width (mm)", main="A. D. mauritiana")
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='1'), abline(lm(face_males ~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='2'), abline(lm(face_males ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='3'), abline(lm(face_males ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='4'), abline(lm(face_males ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='5'), abline(lm(face_males ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='6'), abline(lm(face_males ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='7'), abline(lm(face_males ~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='8'), abline(lm(face_males ~ generation), col="black", lty=1, lwd=1.5))
legend("bottomleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(230,400), xlab="Generation", ylab="Face width (mm)", main="B. D. simulans")
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='1'), abline(lm(face_males ~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='2'), abline(lm(face_males ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='3'), abline(lm(face_males ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='4'), abline(lm(face_males ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='5'), abline(lm(face_males ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='6'), abline(lm(face_males ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='7'), abline(lm(face_males ~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='8'), abline(lm(face_males ~ generation), col="black", lty=1, lwd=1.5))
legend("bottomleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(230,400), xlab="Generation", ylab="Face width (mm)", main="C. Hybrid swarms")
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(face_males ~ generation), col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(face_males ~ generation), col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(face_males ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(face_males ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(face_males ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(face_males ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(face_males ~ generation), col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(face_males ~ generation), col="black", lty=1, lwd=1.5))
legend("bottomleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

dev.off()


pdf(file="anal_plate_bristles.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(10,60), xlab="Generation", ylab="Number of anal bristles", main="A. D. mauritiana",)
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='1'), abline(lm(anal_plate_bristles ~ generation),col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='2'), abline(lm(anal_plate_bristles ~ generation), col="red",lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='3'), abline(lm(anal_plate_bristles ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='4'), abline(lm(anal_plate_bristles ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='5'), abline(lm(anal_plate_bristles ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='6'), abline(lm(anal_plate_bristles ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='7'), abline(lm(anal_plate_bristles ~ generation),col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='8'), abline(lm(anal_plate_bristles ~ generation),col="black", lty=1, lwd=1.5))
legend("bottomleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(10,60), xlab="Generation", ylab="Number of anal bristles", main="B. D. simulans",)
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='1'), abline(lm(anal_plate_bristles ~ generation),col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='2'), abline(lm(anal_plate_bristles ~ generation),col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='3'), abline(lm(anal_plate_bristles ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='4'), abline(lm(anal_plate_bristles ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='5'), abline(lm(anal_plate_bristles ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='6'), abline(lm(anal_plate_bristles ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='7'), abline(lm(anal_plate_bristles ~ generation),col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='8'), abline(lm(anal_plate_bristles ~ generation),col="black", lty=1, lwd=1.5))
legend("bottomleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(10,60), xlab="Generation", ylab="Number of anal bristles", main="C. Hybrid swarms",)
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(anal_plate_bristles ~ generation),col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(anal_plate_bristles ~ generation),col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(anal_plate_bristles ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(anal_plate_bristles ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(anal_plate_bristles ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(anal_plate_bristles ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(anal_plate_bristles ~ generation),col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(anal_plate_bristles ~ generation),col="black", lty=1, lwd=1.5))
legend("bottomleft", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

dev.off()


pdf(file="wing_area.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(600,1300), xlab="Generation", ylab="Wing are (mm2)", main="A. D. mauritiana",)
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='1'), abline(lm(wing_area_male ~ generation),col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='2'), abline(lm(wing_area_male ~ generation),col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='3'), abline(lm(wing_area_male ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='4'), abline(lm(wing_area_male ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='5'), abline(lm(wing_area_male ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='6'), abline(lm(wing_area_male ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='7'), abline(lm(wing_area_male ~ generation),col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='mau' & replicate=='8'), abline(lm(wing_area_male ~ generation),col="black", lty=1, lwd=1.5))
legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(600,1300), xlab="Generation", ylab="Wing are (mm2)", main="B. D. simulans",)
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='1'), abline(lm(wing_area_male ~ generation),col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='2'), abline(lm(wing_area_male ~ generation),col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='3'), abline(lm(wing_area_male ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='4'), abline(lm(wing_area_male ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='5'), abline(lm(wing_area_male ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='6'), abline(lm(wing_area_male ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='7'), abline(lm(wing_area_male ~ generation),col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='sim' & replicate=='8'), abline(lm(wing_area_male ~ generation),col="black", lty=1, lwd=1.5))
legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)


plot(NULL, xlim=c(0,20), ylim=c(600,1300), xlab="Generation", ylab="Wing are (mm2)", main="C. Hybrid swarms",)
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='1'), abline(lm(wing_area_male ~ generation),col="red", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='2'), abline(lm(wing_area_male ~ generation),col="red", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='3'), abline(lm(wing_area_male ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='4'), abline(lm(wing_area_male ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='5'), abline(lm(wing_area_male ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='6'), abline(lm(wing_area_male ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='7'), abline(lm(wing_area_male ~ generation),col="black", lty=2, lwd=1.5))
with(subset(mau_sim_dataframe,genotype=='HS' & replicate=='8'), abline(lm(wing_area_male ~ generation),col="black", lty=1, lwd=1.5))
legend("topright", legend=c("Replicate 1", "Replicate 2", "Replicate 3","Replicate 4","Replicate 5","Replicate 6","Replicate 7","Replicate 8"), col=c("red", "red","blue","blue","orange","orange","black","black"), lty=1:2, cex=0.8)

dev.off()




#####################
#  SANTOMEA/YAKUBA  #
#####################

san_yak_dataframe<-read.csv("~/yak_santraits.csv")
attach(san_yak_dataframe)
names(san_yak_dataframe)

pdf(file="sex_combs_YS.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(5,12), xlab="Generation", ylab="Number of teeth, sex combs", main="A. D. santomea")
with(subset(san_yak_dataframe,genotype=='san' & replicate=='1'), abline(lm(sex_combs~ generation),col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='2'), abline(lm(sex_combs~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='3'), abline(lm(sex_combs~ generation),col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='4'), abline(lm(sex_combs~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='5'), abline(lm(sex_combs~ generation),col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='6'), abline(lm(sex_combs~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='7'), abline(lm(sex_combs~ generation),col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='8'), abline(lm(sex_combs~ generation),col="black", lty=1, lwd=1.5))


plot(NULL, xlim=c(0,20), ylim=c(5,12), xlab="Generation", ylab="Number of teeth, sex combs", main="B. D. yakuba")
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='1'), abline(lm(sex_combs~ generation),col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='2'), abline(lm(sex_combs~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='3'), abline(lm(sex_combs~ generation),col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='4'), abline(lm(sex_combs~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='5'), abline(lm(sex_combs~ generation),col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='6'), abline(lm(sex_combs~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='7'), abline(lm(sex_combs~ generation),col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='8'), abline(lm(sex_combs~ generation),col="black", lty=1, lwd=1.5))


plot(NULL, xlim=c(0,20), ylim=c(5,12), xlab="Generation", ylab="Number of teeth, sex combs", main="C. Hybrid swarms")
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='1'), abline(lm(sex_combs~ generation),col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='2'), abline(lm(sex_combs~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='3'), abline(lm(sex_combs~ generation),col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='4'), abline(lm(sex_combs~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='5'), abline(lm(sex_combs~ generation),col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='6'), abline(lm(sex_combs~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='7'), abline(lm(sex_combs~ generation),col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='8'), abline(lm(sex_combs~ generation),col="black", lty=1, lwd=1.5))

dev.off()

pdf(file="HB_YS.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(0,2.5), xlab="Generation", ylab="Number of hypandrial bristles", main="A. D. santomea")
with(subset(san_yak_dataframe,genotype=='san' & replicate=='1'), abline(lm(hypandrial_bristles ~ generation),col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='2'), abline(lm(hypandrial_bristles ~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='3'), abline(lm(hypandrial_bristles ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='4'), abline(lm(hypandrial_bristles ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='5'), abline(lm(hypandrial_bristles ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='6'), abline(lm(hypandrial_bristles ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='7'), abline(lm(hypandrial_bristles ~ generation),col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='8'), abline(lm(hypandrial_bristles ~ generation),col="black", lty=1, lwd=1.5))

plot(NULL, xlim=c(0,20), ylim=c(0,2.5), xlab="Generation", ylab="Number of hypandrial bristles", main="B. D. yakuba")
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='1'), abline(lm(hypandrial_bristles ~ generation),col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='2'), abline(lm(hypandrial_bristles ~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='3'), abline(lm(hypandrial_bristles ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='4'), abline(lm(hypandrial_bristles ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='5'), abline(lm(hypandrial_bristles ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='6'), abline(lm(hypandrial_bristles ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='7'), abline(lm(hypandrial_bristles ~ generation),col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='8'), abline(lm(hypandrial_bristles ~ generation),col="black", lty=1, lwd=1.5))

plot(NULL, xlim=c(0,20), ylim=c(0,2.5), xlab="Generation", ylab="Number of hypandrial bristles", main="C. Hybrid swarms")
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='1'), abline(lm(hypandrial_bristles ~ generation),col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='2'), abline(lm(hypandrial_bristles ~ generation),col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='3'), abline(lm(hypandrial_bristles ~ generation),col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='4'), abline(lm(hypandrial_bristles ~ generation),col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='5'), abline(lm(hypandrial_bristles ~ generation),col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='6'), abline(lm(hypandrial_bristles ~ generation),col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='7'), abline(lm(hypandrial_bristles ~ generation),col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='8'), abline(lm(hypandrial_bristles ~ generation),col="black", lty=1, lwd=1.5))

dev.off()



pdf(file="pigmentation_YS.pdf", height=4, width=8)

par(mfrow=c(1,3))

plot(NULL, xlim=c(0,20), ylim=c(0,750), xlab="Generation", ylab="Pigmentation score", main="A. D. santomea")
with(subset(san_yak_dataframe,genotype=='san' & replicate=='1'), abline(lm(pigment ~ generation), col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='2'), abline(lm(pigment ~ generation), col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='3'), abline(lm(pigment ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='4'), abline(lm(pigment ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='5'), abline(lm(pigment ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='6'), abline(lm(pigment ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='7'), abline(lm(pigment ~ generation), col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='san' & replicate=='8'), abline(lm(pigment ~ generation), col="black", lty=1, lwd=1.5))


plot(NULL, xlim=c(0,20), ylim=c(0,750), xlab="Generation", ylab="Pigmentation score", main="B. D. yakuba")
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='1'), abline(lm(pigment ~ generation), col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='2'), abline(lm(pigment ~ generation), col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='3'), abline(lm(pigment ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='4'), abline(lm(pigment ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='5'), abline(lm(pigment ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='6'), abline(lm(pigment ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='7'), abline(lm(pigment ~ generation), col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='yak' & replicate=='8'), abline(lm(pigment ~ generation), col="black", lty=1, lwd=1.5))


plot(NULL, xlim=c(0,20), ylim=c(0,750), xlab="Generation", ylab="Pigmentation score", main="C. Hybrid swarms")
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='1'), abline(lm(pigment ~ generation), col="red", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='2'), abline(lm(pigment ~ generation), col="red", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='3'), abline(lm(pigment ~ generation), col="blue", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='4'), abline(lm(pigment ~ generation), col="blue", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='5'), abline(lm(pigment ~ generation), col="orange", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='6'), abline(lm(pigment ~ generation), col="orange", lty=1, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='7'), abline(lm(pigment ~ generation), col="black", lty=2, lwd=1.5))
with(subset(san_yak_dataframe,genotype=='HS' & replicate=='8'), abline(lm(pigment ~ generation), col="black", lty=1, lwd=1.5))

dev.off()


####LINEAR MODELS TO COMPARE WITHIN GENOTYPE######
san_yak_dataframe<-read.csv("~/yak_santraits.csv")
attach(san_yak_dataframe)
names(san_yak_dataframe)


				anova(with(subset(san_yak_dataframe,genotype=='san'),(lm(hypandrial_bristles ~ generation))))
				anova(with(subset(san_yak_dataframe,genotype=='yak'),(lm(hypandrial_bristles ~ generation))))
				anova(with(subset(san_yak_dataframe,genotype=='HS'),(lm(hypandrial_bristles ~ generation))))

HB_lm<-(with(subset(san_yak_dataframe,generation=='20'),(lm(hypandrial_bristles ~ genotype))))
summary(glht(HB_lm, linfct=mcp(genotype ="Tukey")))


				anova(with(subset(san_yak_dataframe,genotype=='san'),(lm(pigment ~ generation))))
				anova(with(subset(san_yak_dataframe,genotype=='yak'),(lm(pigment ~ generation))))
				anova(with(subset(san_yak_dataframe,genotype=='HS'),(lm(pigment ~ generation))))

Pigment_lm<-(with(subset(san_yak_dataframe,generation=='20'),(lm(pigment ~ genotype))))
summary(glht(Pigment_lm, linfct=mcp(genotype ="Tukey")))

				anova(with(subset(san_yak_dataframe,genotype=='san'),(glmer(sex_combs ~ generation, family=poisson(), data= san_yak_dataframe))))
				anova(with(subset(san_yak_dataframe,genotype=='yak'),(lm(sex_combs ~ generation))))
				anova(with(subset(san_yak_dataframe,genotype=='HS'),(lm(sex_combs ~ generation))))

				sim_mau_ovarioles_factorial_25<-glmer(ovarioles_25 ~ PE_copies* cross+( 1 | mother),family=poisson(), data= ovariole_sim_mau_dataframe)

SC_lm<-(with(subset(san_yak_dataframe,generation=='20'),(lm(sex_combs ~ genotype))))
summary(glht(SC_lm, linfct=mcp(genotype ="Tukey")))

mau_sim_dataframe<-read.csv("~/sim_mau_HS_traits.csv")
attach(mau_sim_dataframe)
names(mau_sim_dataframe)

				> anova(with(subset(mau_sim_dataframe,genotype=='mau'),(lm(anal_plate_bristles ~ generation))))
				Analysis of Variance Table
				Response: anal_plate_bristles
				            Df Sum Sq Mean Sq F value Pr(>F)
				generation   1   20.4 20.3897  2.1822   0.14
				Residuals  798 7456.1  9.3435               
				> anova(with(subset(mau_sim_dataframe,genotype=='sim'),(lm(anal_plate_bristles ~ generation))))
				Analysis of Variance Table
				Response: anal_plate_bristles
				            Df  Sum Sq Mean Sq F value Pr(>F)
				generation   1     0.2  0.2207  0.0133 0.9083
				Residuals  798 13251.8 16.6063               
				> anova(with(subset(mau_sim_dataframe,genotype=='HS'),(lm(anal_plate_bristles ~ generation))))
				Analysis of Variance Table
				Response: anal_plate_bristles
				            Df  Sum Sq Mean Sq F value    Pr(>F)    
				generation   1  6181.1  6181.1  163.39 < 2.2e-16 ***
				Residuals  798 30188.2    37.8                      
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

				#################################


				sexcombs_lm<-(with(subset(mau_sim_dataframe,generation=='20'),(lm(sex_combs ~ genotype))))
				summary(glht(sexcombs_lm, linfct=mcp(genotype ="Tukey")))

				> summary(glht(sexcombs_lm, linfct=mcp(genotype ="Tukey")))

					 Simultaneous Tests for General Linear Hypotheses
				Multiple Comparisons of Means: Tukey Contrasts
				Fit: lm(formula = sex_combs ~ genotype)
				Linear Hypotheses:
				               Estimate Std. Error t value Pr(>|t|)    
				mau - HS == 0    4.4687     0.1405  31.815  < 1e-04 ***
				sim - HS == 0   -0.5375     0.1405  -3.827 0.000452 ***
				sim - mau == 0  -5.0062     0.1405 -35.642  < 1e-04 ***
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
				(Adjusted p values reported -- single-step method)



facewidth_lm<-(with(subset(mau_sim_dataframe,generation=='20'),(lm(face_males ~ genotype))))
summary(glht(facewidth_lm, linfct=mcp(genotype ="Tukey")))
> summary(glht(facewidth_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = face_males ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
mau - HS == 0  -34.7689     1.0456 -33.252   <1e-05 ***
sim - HS == 0   -0.7326     1.0456  -0.701    0.763    
sim - mau == 0  34.0362     1.0456  32.551   <1e-05 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)


apb_lm<-(with(subset(mau_sim_dataframe,generation=='20'),(lm(anal_plate_bristles ~ genotype))))
summary(glht(apb_lm, linfct=mcp(genotype ="Tukey")))

> summary(glht(apb_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = anal_plate_bristles ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
mau - HS == 0   15.7236     0.5126  30.671   <1e-04 ***
sim - HS == 0    0.7526     0.5126   1.468    0.307    
sim - mau == 0 -14.9711     0.5126 -29.203   <1e-04 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)


lobe_lm<-(with(subset(mau_sim_dataframe,generation=='20'),(lm(lobe ~ genotype))))
summary(glht(lobe_lm, linfct=mcp(genotype ="Tukey")))

> summary(glht(lobe_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = lobe ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
mau - HS == 0   -8.8529     0.1540 -57.501   <1e-05 ***
sim - HS == 0    0.1219     0.1540   0.792    0.708    
sim - mau == 0   8.9748     0.1540  58.293   <1e-05 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

wing_lm<-(with(subset(mau_sim_dataframe,generation=='20'),(lm(wing_area_male ~ genotype))))
summary(glht(wing_lm, linfct=mcp(genotype ="Tukey")))

> summary(glht(wing_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = wing_area_male ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
mau - HS == 0   186.230      6.755  27.568   <1e-05 ***
sim - HS == 0     3.179      6.755   0.471    0.885    
sim - mau == 0 -183.051      6.755 -27.097   <1e-05 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

san_yak_dataframe<-read.csv("~/yak_santraits.csv")
attach(san_yak_dataframe)
names(san_yak_dataframe)

wing_lm<-(with(subset(mau_sim_dataframe,generation=='20'),(lm(wing_area_male ~ genotype))))
summary(glht(sex_combs, linfct=mcp(genotype ="Tukey")))


#BEHAVIOR#

behavior_simmau<-read.csv("~/Dropbox/simmau_HS_mating.csv")
			attach(behavior_simmau)
			names(behavior_simmau)
			
			anova(lm(start~HS))
			anova(lm(duration~HS))
			
> 			anova(lm(start~HS))
Analysis of Variance Table

Response: start
           Df Sum Sq Mean Sq F value Pr(>F)
HS          1   43.4  43.405  0.9164 0.3402
Residuals 132 6252.1  47.365               
> 			anova(lm(duration~HS))
Analysis of Variance Table

Response: duration
           Df  Sum Sq Mean Sq F value  Pr(>F)  
HS          1   349.4  349.44  3.6667 0.05767 .
Residuals 132 12579.6   95.30                  
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1





behavior_simmau_bygenotype<-read.csv("~/Dropbox/simmau_HS_mating_purespecies.csv")
			attach(behavior_simmau_bygenotype)
			names(behavior_simmau_bygenotype)
			
			latency_lm<-(lm(start~genotype))
			duration_lm<-(lm(duration~ genotype))

summary(glht(latency_lm, linfct=mcp(genotype ="Tukey")))
summary(glht(duration_lm, linfct=mcp(genotype ="Tukey")))



> summary(glht(latency_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = start ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
mau - HS == 0    13.025      1.179  11.049   <1e-04 ***
sim - HS == 0    -2.463      1.140  -2.161   0.0787 .  
sim - mau == 0  -15.488      1.458 -10.621   <1e-04 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

> summary(glht(duration_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = duration ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
mau - HS == 0   -18.513      1.612 -11.482   <1e-04 ***
sim - HS == 0     2.607      1.559   1.672    0.214    
sim - mau == 0   21.120      1.995  10.588   <1e-04 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

> 


behavior_yaksan<-read.csv("~/Dropbox/yaksan_HS_mating.csv")
			attach(behavior_yaksan)
			names(behavior_yaksan)
			
			anova(lm(start~ swarm))
			anova(lm(duration~ swarm))
			

> 			anova(lm(start~swarm))
Analysis of Variance Table

Response: start
           Df Sum Sq Mean Sq F value Pr(>F)
swarm       1   66.2  66.184  1.2821 0.2596
Residuals 128 6607.7  51.623               
> 			anova(lm(duration~swarm))
Analysis of Variance Table

Response: duration
           Df Sum Sq Mean Sq F value Pr(>F)
swarm       1  187.8 187.809  2.7308 0.1009
Residuals 128 8803.3  68.776               
> tapply(duration, swarm, mean)
       1        2        3        4 
37.92857 37.15385 34.84444 35.05556 


behavior_yaksan_bygenotype<-read.csv("~/Dropbox/yaksan_HS_mating_purespecies.csv")
			attach(behavior_yaksan_bygenotype)
			names(behavior_yaksan_bygenotype)
			
			latency_lm<-(lm(start~genotype))
			duration_lm<-(lm(duration~ genotype))

summary(glht(latency_lm, linfct=mcp(genotype ="Tukey")))
summary(glht(duration_lm, linfct=mcp(genotype ="Tukey")))


> summary(glht(latency_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = start ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
san - HS == 0   17.5109     1.6604  10.546   <1e-05 ***
yak - HS == 0   -0.7875     1.3926  -0.566    0.835    
yak - san == 0 -18.2984     1.9588  -9.342   <1e-05 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

> summary(glht(duration_lm, linfct=mcp(genotype ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = duration ~ genotype)

Linear Hypotheses:
               Estimate Std. Error t value Pr(>|t|)    
san - HS == 0   -11.231      1.988  -5.650  < 1e-04 ***
yak - HS == 0    -1.663      1.667  -0.998 0.572958    
yak - san == 0    9.568      2.345   4.080 0.000182 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)


#Tibia/size
library(multcomp)
tibia_length<-read.csv("~/Dropbox/MatuteLab/Manuscripts/Coyne_swarms/data/tibial_length_sim_mau.csv")
				attach(tibia_length)
				names(tibia_length)
				
				tibia_lm<-lm(tibia~species/line)
				anova(tibia_lm)
				
				summary(glht(tibia_lm, linfct=mcp(species ="Tukey")))
